---
resources:
- name: resource-repo
  type: git
  source:
    branch: master
    uri: ((publishing-outputs-uri)) 
    private_key: ((publishing-outputs-private-key))

jobs:
- name: job-process-dump
  plan:
  - get: resource-repo
  - task: task-dump-processes
    config:
      platform: linux
      image_resource:
        type: docker-image
        source: {repository: certbdf/cortex}
      inputs:
        - name: resource-repo
      outputs:
        - name: resource-dumped-processes
      run:
        path: resource-repo/task.sh
        user: root
  - put: resource-repo
    params:
      repository: resource-dumped-processes
